
int equ2hor(double ha, double dec, double phi, double *az, double *el);

#include <stdio.h>


#define RAD2DEG 57.2957795130823208767981548141
#define DEG2RAD .017453292519943295769236907685

int main (void)
{
	double ra = 10.0 + (45.0 + 04.0/60.0)/60.0 ;
	double dec= -(59.0 + (41.0 + 04.0/60.0)/60.0);
	double zd, az;
	double lat = -(34.0 +(54.0 + 24.3040/60.0)/60.0);
	double lon = -(57.0 +(55.0 + 56.2782/60.0)/60.0);

	equ2hor(ra * DEG2RAD, dec * DEG2RAD, lat * DEG2RAD, &az, &zd);

	printf( "RA: %f, DEC: %f, z: %f, az: %f\n", 
		ra, dec, 90.0 - zd * RAD2DEG, az * RAD2DEG +180.0
		);

	return 0;
}
